Create Group
curl --request POST \
--url https://api.sonderplan.com/v2/group \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Video Editors",
"description": "Full schedule access, limited project access",
"members": [
{
"id": 4,
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]"
}
],
"acl_schedule": "R-",
"acl_project": "R-",
"acl_task": "R-",
"acl_finance": "R-",
"acl_report": "R-",
"acl_contact": "R-",
"acl_admin": "R-",
"acl_account": "R-"
}
'import requests
url = "https://api.sonderplan.com/v2/group"
payload = {
"name": "Video Editors",
"description": "Full schedule access, limited project access",
"members": [
{
"id": 4,
"first_name": "Jane",
"last_name": "Smith",
"primary_email": "[email protected]"
}
],
"acl_schedule": "R-",
"acl_project": "R-",
"acl_task": "R-",
"acl_finance": "R-",
"acl_report": "R-",
"acl_contact": "R-",
"acl_admin": "R-",
"acl_account": "R-"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Video Editors',
description: 'Full schedule access, limited project access',
members: [
{
id: 4,
first_name: 'Jane',
last_name: 'Smith',
primary_email: '[email protected]'
}
],
acl_schedule: 'R-',
acl_project: 'R-',
acl_task: 'R-',
acl_finance: 'R-',
acl_report: 'R-',
acl_contact: 'R-',
acl_admin: 'R-',
acl_account: 'R-'
})
};
fetch('https://api.sonderplan.com/v2/group', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": {
"id": 2384
}
}{
"error": {
"code": 400,
"message": "name is required... Name of the tax"
}
}Group
Create Group
WRITE access to the ADMIN module is required to access this endpointPOST
/
v2
/
group
Create Group
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Standard group model that returns all properties by default
Name of the group
Example:
"Video Editors"
Description about the group
Example:
"Full schedule access, limited project access"
If true, this is a system group that cannot be edited
Show child attributes
Show child attributes
Access level to the Schedule module
Available options:
--, R-, RW Example:
"R-"
Access level to the Project module
Available options:
--, R-, RW Example:
"R-"
Access level to the Task module
Available options:
--, R-, RW Example:
"R-"
Access level to the Finance module
Available options:
--, R-, RW Example:
"R-"
Access level to the Report module
Available options:
--, R-, RW Example:
"R-"
Access level to the Contact module
Available options:
--, R-, RW Example:
"R-"
Access level to the Admin module
Available options:
--, R-, RW Example:
"R-"
Access level to the Account module
Available options:
--, R-, RW Example:
"R-"
Response
Successful Operation
Show child attributes
Show child attributes
⌘I